name: GhostWriter
options:
  bundleIdPrefix: com.neog
  deploymentTarget:
    macOS: "14.0"
  xcodeVersion: "15.0"
  generateEmptyDirectories: true

settings:
  base:
    SWIFT_VERSION: "5.9"
    MACOSX_DEPLOYMENT_TARGET: "14.0"
    DEVELOPMENT_TEAM: ""
    CODE_SIGN_STYLE: Automatic

targets:
  GhostWriter:
    type: application
    platform: macOS
    sources:
      - path: GhostWriter
        excludes:
          - "**/.DS_Store"
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: com.neog.GhostWriter
        INFOPLIST_FILE: GhostWriter/Info.plist
        CODE_SIGN_ENTITLEMENTS: GhostWriter/GhostWriter.entitlements
        PRODUCT_NAME: GhostWriter
        ASSETCATALOG_COMPILER_APPICON_NAME: AppIcon
        COMBINE_HIDPI_IMAGES: YES
        LD_RUNPATH_SEARCH_PATHS:
          - $(inherited)
          - "@executable_path/../Frameworks"
    entitlements:
      path: GhostWriter/GhostWriter.entitlements
